package com.platform.modules.app.form;

import org.hibernate.validator.constraints.NotBlank;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 用户信息表单，仅姓名、手机号、邮箱
 * 
 * @author Anine
 * @date 2019/3/12
 */
@ApiModel("用户信息表单")
public class AppUserInfoForm {

//	@ApiModelProperty(value = "用户名", required = true)
//	@NotBlank(message = "用户名不能为空")
//	private String name;

	@ApiModelProperty(value = "姓名", required = true)
	@NotBlank(message = "姓名不能为空")
	private String realname;
    // TODO: 2019/3/13 暂停手机号、邮箱验证
	@ApiModelProperty(value = "手机号", required = true)
//	@Pattern(regexp = "^1([34578])\\d{9}$", message = "手机号码格式错误")
//	@NotBlank(message = "手机号码不能为空")
	private String mobile;

	@ApiModelProperty(value = "邮箱", required = true)
//	@NotBlank(message = "邮箱不能为空")
//	@Email(message = "邮箱错误")
	private String email;

//	public String getName() {
//		return name;
//	}
//
//	public void setName(String name) {
//		this.name = name;
//	}
	
	public String getRealname() {
		return realname;
	}

	public void setRealname(String realname) {
		this.realname = realname;
	}

	public String getMobile() {
		return mobile;
	}

	public void setMobile(String mobile) {
		this.mobile = mobile;
	}

	public String getEmail() {
		return email;
	}

	public void setEmail(String email) {
		this.email = email;
	}

	public AppUserInfoForm() {
	}
}
